﻿using FluentValidation;
using Hotline.Share.Dtos.Order;

namespace DataSharing.Application.Validators.XieTong
{
    public class ZmhdCaseInfoPublicInfoValidator : AbstractValidator<PublishPublishOrderDto>
    {
        public ZmhdCaseInfoPublicInfoValidator()
        {
            RuleFor(d => d.Order.ProvinceNo).NotEmpty();
            RuleFor(d => d.Order.AreaCode).NotEmpty();
            RuleFor(d => d.Order.ActualHandleTime).NotEmpty();
            RuleFor(d => d.Order.ActualHandleOrgName).NotEmpty();
            RuleFor(d => d.Order.ActualOpinion).NotEmpty();
            RuleFor(d => d.CreatorName).NotEmpty();
            RuleFor(d => d.CreationTime).NotEmpty();
            RuleFor(d => d.ArrangeOpinion).NotEmpty();
        }
    }
}
